
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {

}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section, main {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}


/* -------------------------------- 

Primary style

-------------------------------- */
*, *::after, *::before {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

html {
  font-size: 80%;
}
html * {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}


body, html {
  /* prevent horizontal scrolling */
  overflow-x: hidden;
}



* {
  margin: 0;
  padding: 0;
}
.nothing-you-could-do-regular {
  font-family: "Nothing You Could Do", cursive;
  font-weight: 400;
  font-style: normal;
}


.montserrat {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
 
  font-style: normal;
}

:root {
  --padding: 1.5rem;
  --color-black: #000;
  --color-white: #F2F2F2;
  --color-grey: #777;
  --color-light: #efefef;
  --color-text: var(--color-black);
  --color-text-grey: var(--color-grey);
  --color-background: var(--color-code-white);
  --color-code-light-grey:  #DEDEDE;
  --color-code-comment:     #AEAEAE;
  --color-code-white:       #F6F6F6;
  --color-code-dark:         #2B2B2B;
  --color-code-darker:      #0B0B0B;
  --color-code-orange: #FF7A30;
  --color-code-creme: #eddbcd;
  --color-code-blue: #465C88;
  --font-family-sans: "Montserrat", sans-serif;
  --font-family-mono: "SFMono-Regular", Consolas, "Liberation Mono", Menlo, Courier, monospace;
}



html {
  font-family: var(--font-family-sans);
  color: var(--color-text);
  background: #F2F2F2;
  background-image: radial-gradient(#999 1.5%, transparent 0);
  background-size: 90px 90px;
  background-attachment: fixed;

}
img {
  width: 100%;
}
body {
  padding: var(--padding);
 
  margin: 0 auto;
    
}
li {
  list-style: none;
}
a {
  color: currentColor;
  text-decoration: none;
}
button, .btn {
      align-items: center;
    border-radius: 1.3em;
    display: flex;
    font-size: 13px;
    gap: .85em;
    padding: .5em .8em .5em .8em;
    text-decoration: none;
    background-color: var(--color-code-blue);
    color: var(--color-white);
	  width:fit-content;
	  border:none;
    font-weight: 600;
    font-family: montserrat;
    font-size: 1.15rem;
}
.btn-group{
  display: flex;
  flex-direction: column;
  gap: 1rem;
  justify-content: center;
  text-align: center;

}
.btnplus{
  background-color: var(--color-code-orange)!important;
}
.btn-toolbar > a {
  width: 50%;

}

button > svg {
  transform: scale(0); 
  width: 0px;
  transition-duration: 0.3s;
}
button:hover > svg {
    transform: scale(1); 
  width: 25px;
}
strong, b {
  font-weight: 600;
}
small {
  font-size: inherit;
  color: var(--color-text-grey);
}

.bg-light {
  background-color: var(--color-light);
}
.color-grey {
  color: var(--color-text-grey);
}

.header {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-right: -1rem;
  margin-left: -1rem;
 
}

.logo {
  font-family: "Nothing You Could Do";
  font-size: 1.2rem;
  padding: 1rem;
  display: flex;
  font-weight: 800;
  align-items: center;
  cursor: pointer;
}

.menu {
  display: flex;
}
.menu a {
  padding: 1rem;
  display: block;
}
.menu a[aria-current] {
  text-decoration: underline;
}

.social {
  display: flex;
  padding: 0 .5rem;
}
.social a {
  padding: 1rem .5rem;
}

.section {
  padding: 3rem 0;
}

.grid {
  --columns: 12;
  --gutter: 3rem;
  display: grid;
  grid-gap: var(--gutter);
  grid-template-columns: 1fr;
}
.grid > .column {
  margin-bottom: var(--gutter);
}

.autogrid {
  --gutter: 3rem;
  --min: 10rem;
  display: grid;
  grid-gap: var(--gutter);
  grid-template-columns: repeat(auto-fit, minmax(var(--min), 1fr));
  grid-auto-flow: dense;
}

h1, h2, h3, h4, h5, h6 {
  font-size: inherit;
  font-weight: inherit;
  line-height: inherit;
}

.text {
  line-height: 1.5em;
}
.text a {
  text-decoration: underline;
}
.text :first-child {
  margin-top: 0;
}
.text :last-child {
  margin-bottom: 0;
}
.text p,
.text ul,
.text ol {
  margin-bottom: 1.5rem;
}
.text ul,
.text ol {
  margin-left: 1rem;
}
.text ul p,
.text ol p {
  margin-bottom: 0;
}
.text ul > li {
  list-style: disc;
}
.text ol > li {
  list-style: decimal;
}
.text ul ol,
.text ul ul,
.text ol ul,
.text ol ol {
  margin-bottom: 0;
}
.text h1,
.h1,
.intro {
  font-size: 2rem;
 
  line-height: 1.25em;
}
.text h2,
.h2 {
  font-size: 1.25rem;
  font-weight: 600;
  margin-bottom: 1.25rem;
}
.text h3,
.h3 {
  font-weight: 600;
}
.text .codeblock {
  display: grid;
}
.text code {
  font-family: var(--font-family-mono);
  font-size: 1em;
  background: var(--color-light);
  padding: 0 .5rem;
  display: inline-block;
  color: var(--color-black);
}
.text pre {
  margin: 3rem 0;
  background: var(--color-black);
  color: var(--color-white);
  padding: 1.5rem;
  overflow-x: scroll;
  overflow-y: hidden;
  line-height: 1.5rem;
}
.text pre code {
  padding: 0;
  background: none;
  color: inherit;
}
.text hr {
  margin: 6rem 0;
}
.text dt {
  font-weight: 600;
}
.text blockquote {
  font-size: 1.25rem;
  line-height: 1.325em;
  border-left: 2px solid var(--color-black);
  padding-left: 1rem;
  margin: 3rem 0;
  max-width: 25rem;
}
.text blockquote footer {
  font-size: .875rem;
  font-style: italic;
}
.text figure {
  margin: 3rem 0;
}
.text figcaption {
  padding-top: .75rem;
  color: var(--color-text-grey);
}
.text figure ul {
  line-height: 0;
  display: grid;
  gap: 1.5rem;
  margin: 0;
  grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
}
.text figure ul li {
  list-style: none;
}

hr {
  border: 0;
  background: currentColor;
  height: 0;
  width: 1.5rem;
  margin: 3rem auto;
}

.align-center {
  text-align: center;
}

.intro {
  max-width: 40rem;
}
.intro *:not(:last-child) {
  margin-bottom: 1em;
}

.cta {
  background: var(--color-black);
  color: var(--color-white);
  display: inline-flex;
  justify-content: center;
  padding: .75rem 1.5rem;
  border: 4px solid var(--color-white);
  outline: 2px solid var(--color-black);
}

.box {
  background: var(--color-light);
  padding: 1.5rem;
  border: 4px solid var(--color-white);
  outline: 2px solid var(--color-light);
}

.video,
.img {
  position: relative;
  display: block;
  --w: 1;
  --h: 1;
  padding-bottom: calc(100% / var(--w) * var(--h));
  background: var(--color-black);
}
.img img,
.video iframe {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border: 0;
}
.img[data-contain] img {
  object-fit: contain;
}
.img-caption,
.video-caption {
  padding-top: .75rem;
  line-height: 1.5em;
}

.footer {
  padding: 9rem 0 6rem;
  line-height: 1.5em;
}
.footer:before {
  content: "";
  display: block;
  width: 1.5rem;
  height: 2px;
  background: var(--color-black);
  margin-bottom: 1.5rem;
}

.footer h2 {
  font-weight: 600;
  margin-bottom: .75rem;
}
.footer ul,
.footer p {
  color: var(--color-text-grey);
}
.footer p {
  max-width: 15rem;
}
.footer a:hover {
  color: var(--color-text);
}


.map {
  --w: 2;
  --h: 1;
  padding-bottom: calc(100% / var(--w) * var(--h));
  position: relative;
  overflow: hidden;
  background: var(--color-black);
}
.map iframe {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

.margin-s {
  margin-bottom: .75rem;
}
.margin-m {
  margin-bottom: 1.5rem;
}
.margin-l {
  margin-bottom: 3rem;
}
.margin-xl {
  margin-bottom: 4.5rem;
}
.margin-xxl {
  margin-bottom: 6rem;
}


@media screen and (min-width: 60rem) {
  body {
    --padding: 3rem;
  }
  .section{flex-direction: row;}

  .grid {
    grid-template-columns: repeat(12, 1fr);
  }
  .grid > .column {
    grid-column: span var(--columns);
  }

}

.pagination {
  display: flex;
  padding-top: 6rem;
}
.pagination > span {
  color: var(--color-text-grey);
}
.pagination > * {
  padding: .5rem;
  width: 3rem;
  text-align: center;
  border: 2px solid currentColor;
  margin-right: 1.5rem;
}
.pagination > a:hover {
  background: var(--color-black);
  color: var(--color-white);
  border-color: var(--color-black);
}

.note-excerpt {
  line-height: 1.5em;
}
.note-excerpt header {
  margin-bottom: 1.5rem;
}
.note-excerpt figure {
  margin-bottom: .5rem;
}
.note-excerpt-title {
  font-weight: 600;
}
.note-excerpt-date {
  color: var(--color-text-grey);
}

@import url("https://fonts.googleapis.com/css2?family=Lato:wght@400;700&display=swap");

section {
  padding-block: min(1vh, 1rem);
  width: calc(min(76.5rem, 98%));
  margin-inline: auto;
  color: #111;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap:2rem;
 
}
section h2 {
  text-transform: capitalize;
  letter-spacing: 0.025em;
  font-size: clamp(2rem, 2.5625rem, 2.6rem);
}
section a {
  display: inline-block;
  text-decoration: none;
}
section .container {
  margin-top: 5em;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(16rem, 1fr));
  gap: 2rem;
  border: solid 0px ;
}

.card{
  border: solid 0px;
  backdrop-filter: blur(2px);
}

section .container .card ul {
  margin: 0;
  padding: 0;
  list-style-type: none;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 0.625rem;
}
section .container .card ul li {
  text-transform: uppercase;
  background: var(--clr-tag);
  color: #282828;
  font-weight: 700;
  font-size: 0.8rem;
  padding: 0.375rem 0.625rem;
  border-radius: 0.188rem;
}
section .container .card ul .branding {
  color: #704a31;
}
section .container .card ul .packaging {
  color: #1e3938;
}
section .container .card ul .marketing {
  color: #4d1637;
}
section .container .card .content {
  padding: 0.938rem 0.625rem;
}
section .container .card .content h3 {
  text-transform: capitalize;
  font-size: clamp(1.5rem, 1.8273rem, 1.8rem);
}
section .container .card .content p {
  margin: 0.625rem 0 1.25rem;
  color: #565656;
}
section .container .card-inner {
  position: relative;
  width: inherit;
  height: 18.75rem;
  background-color: var(--color-background);
  border-radius: 1.25rem;
  border-bottom-right-radius: 0;
  overflow: hidden;
}
section .container .card-inner .box {
  width: 100%;
  height: 100%;
  background-color: var(--color-background);
  border-radius: 1.25rem;
  overflow: hidden;
}
section .container .card-inner .box .imgBox {
  position: absolute;
  inset: 0;
}
section .container .card-inner .box .imgBox img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
section .container .card-inner .box .icon {
  position: absolute;
  bottom: -0.375rem;
  right: -0.375rem;
  width: 6rem;
  height: 6rem;
  background-color: var(--color-background);
  border-top-left-radius: 50%;
}
section .container .card-inner .box .icon:hover .iconBox {
  transform: scale(1.1);
}
section .container .card-inner .box .icon::before {
  position: absolute;
  content: "";
  bottom: 0.375rem;
  left: -1.25rem;
  background: transparent;
  width: 1.25rem;
  height: 1.25rem;
  border-bottom-right-radius: 1.25rem;
  box-shadow: 0.313rem 0.313rem 0 0.313rem var(--color-background);
}
section .container .card-inner .box .icon::after {
  position: absolute;
  content: "";
  top: -1.25rem;
  right: 0.375rem;
  background: transparent;
  width: 1.25rem;
  height: 1.25rem;
  border-bottom-right-radius: 1.25rem;
  box-shadow: 0.313rem 0.313rem 0 0.313rem var(--color-background);
}
section .container .card-inner .box .icon .iconBox {
  position: absolute;
  inset: 0.625rem;
  background: #d3b19a; ;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.3s;
}
section .container .card-inner .box .icon .iconBox span {
  color: #fff;
  font-size: 1.5rem;
}
.qrcode{
  padding: 1.25rem;
}
iframe, .qrcode {
  background-color: #fff;
      border-radius: 1.25rem;
}

.container{
  padding-right: 0px; 
  padding-left: 0px;
}
.listbtn{

  display: flex;
  
  width: 100%;
  
  justify-content: center;
}


fieldset{
  border: 0;
  border-radius: 1em;
  width: 60%;

}
.d-none{
  display:none;
}







.placement_dock{
  position:absolute;
  z-index: 999;
  bottom: 9vh;
  width: 100vw;
  display: grid;
  place-items: center;
  position: fixed;
  transform: scale(1.2);
}

.dock {
  list-style-type: none;
  width: max-content;
  display: flex;
  border: 1px solid white;
  border-radius: 3rem;
  padding: 0.25rem;
  backdrop-filter: blur(2px);
}

.dock-icon {
  position: relative;
  width: 3rem;
  height: 3rem;
  margin: 0.25rem;
  border: 1px solid white;
  border-radius: 50%;
  background-color: var(--color-code-blue);
  display: grid;
  place-items: center;
  cursor: pointer; 
  transition: transform 0.7s cubic-bezier(0.165, 0.84, 0.44, 1), margin 0.8s;
  transform-origin: bottom;
}

.dock-icon::before {
  content: attr(data-tip);
  position: absolute;
  top: -1.75rem;
  font: 0.5rem helvetica,sans-serif;
  border: 1px solid black;
  border-radius: 0.15rem;
  background-color: white;
  padding: 0.5em;
  display: none;
}
ion-icon {
  color: var(--color-white);
}

.dock-icon::after {
  content: '';
  position: absolute;
  top: -0.82rem;
  width: 0.25rem;
  height: 0.25rem;
  border: 1px solid black;
  border-top-color: transparent;
  border-left-color: transparent;
  background-color: white;
  transform: rotate(45deg);
  display: none;
}

.dock-icon:hover::before, .dock-icon:hover::after { display: block; }








.card {
  --bg: #ffffff40;
  --title-color: #fff;
  --title-color-hover: #000;
  --text-color: #666;
  --button-color: #eee;
  --button-color-hover: #ddd;
  background: var(--bg);
  border:solid 1px white;
  border-radius: 2rem;
  padding: 0.5rem;
  width: 90%;
  height: 30%;
 /* aspect-ratio: 2 / 3;*/
  
  overflow: clip;
  position: relative;
  font-family: Lato, Montserrat, Helvetica, Arial, sans-serif;

  &.dark {
    --bg: #222;
    --title-color: #fff;
    --title-color-hover: #fff;
    --text-color: #ccc;
    --button-color: #555;
    --button-color-hover: #444;
  }

  &::before {
    content: "";
    position: absolute;
    width: calc(100% - 1rem);
    height: 30%;
    bottom: 0.5rem;
    left: 0.5rem;
    mask: linear-gradient(#0000, #000f 80%);
    backdrop-filter: blur(1rem);
    border-radius: 0 0 1.5rem 1.5rem;
    translate: 0 0;
    transition: translate 0.25s;
    translate: 0 100%;
  }

  > img {
    max-width: 100%;
    aspect-ratio: 2 / 3;
    object-fit: cover;
    object-position: 50% 5%;
    border-radius: 1.5rem;
    display: block;
    transition: aspect-ratio 0.25s, object-position 0.5s;
    /* firefox patch */
    width: 100%;
    height: auto;
     aspect-ratio: 1 / 1;
      object-position: 50% 10%;
      transition: aspect-ratio 0.25s, object-position 0.25s;
  }

  > section {
    margin: 1rem;
    height: calc(33.3333% - 1rem);
    display: flex;
    flex-direction: column;

    h2 {
      margin: 0;
      margin-block-end: 1rem;
      font-size: 1.5rem;
      opacity: 0;
      translate: 0 -200%;
      opacity:1;
      color: var(--title-color);
      transition: color 0.5s, margin-block-end 0.25s, opacity 1s, translate 0.25s;
      color: var(--title-color-hover);
      translate: 0 0;
        
        opacity: 1;
    }

    p {
      font-size: 0.95rem;
      line-height: 1.3;
      color: var(--text-color);
      opacity: 0;
      margin: 0;
      translate: 0 100%;
      transition: margin-block-end 0.25s, opacity 1s 0.2s, translate 0.25s 0.2s;
      translate: 0 0;
        
        opacity: 1;
    }

    > div {
      flex: 1;
      align-items: flex-end;
      display: flex;
      justify-content: space-between;
      atranslate: 0 100%;
      opacity: 0;
      transition: translate 0.25s 0.2s, opacity 1s;
      translate: 0 0;
        opacity: 1;
        transition: translate 0.25s 0.25s, opacity 0.5s 0.25s;

      .tag {
        align-self: center;
        color: var(--title-color-hover);
      }

      
    }
  }

 /* &:hover, &:focus-within {
    &::before {
      translate: 0 100%;
    }


    > img {
      aspect-ratio: 1 / 1;
      object-position: 50% 10%;
      transition: aspect-ratio 0.25s, object-position 0.25s;
    }

    > section {
      h2, p {
        translate: 0 0;
        
        opacity: 1;
      }

      h2 {
        color: var(--title-color-hover);
      }

      > div {
        translate: 0 0;
        opacity: 1;
        transition: translate 0.25s 0.25s, opacity 0.5s 0.25s;
      }
    }
  }*/
}


